%define subrel	1
%define Werror_cflags %nil
# Modules always contain just 32-bit code
%define _libdir %{_exec_prefix}/lib

# 64bit intel machines use 32bit boot loader
# (We cannot just redefine _target_cpu, as we'd get i386.rpm packages then)
%ifarch x86_64
%define _target_platform i386-%{_vendor}-%{_target_os}%{?_gnu}
%global efi_arch x86_64-efi
%endif

%ifarch %arm
%global efi_arch arm-uboot
%endif

%ifarch %ix86
%global efi_arch i386-efi
%endif

%global tarversion 2.02
%global pc_arch i386-pc

# Use 'commits since release tag' from git describe as the version minor
# so we can sanely implement snapshots without reconfiguring the spec.
# Using './make_snapshot_patch' creates a patch with the %%{git} (minor) 
# number in the name.
# Add the patch name as Patch0000: in SOURCES/grub.patches
%define git	0
Name:		grub2
Version:	2.02.%{git}
Release:	%mkrel 1
Summary:	Bootloader with support for Linux, Multiboot and more
Group:		System/Boot and Init
License:	GPLv3+ and GPLv2
# unicode font is GPLv2
URL:		http://www.gnu.org/software/grub/
Source0:	ftp://alpha.gnu.org/gnu/grub/grub-%{tarversion}.tar.xz
#Source0:	ftp://ftp.gnu.org/gnu/grub/grub-%%{tarversion}.tar.xz
Source2:	grub.default
Source3:	README.Mageia
Source4:	README.efi
Source6:	gitignore
Source7:	grub.patches
# pf2 fonts may be regenerated in SOURCES using ./mkfonts
Source8:	mkfonts
Source9:	unicode.pf2
Source10:	MageiaLogo-Bold-16.pf2
Source11:	MageiaLogo-Bold-20.pf2
Source12:	MageiaLogo-Bold-28.pf2
Source13:	MageiaLogo-Regular-20.pf2
Source14:	grub2-mageia-default.png
Source15:	MageiaLogoFonts-bdf.tar.gz
Source20:	theme.txt
Source21:	make_snapshot_patch

#
# Fedora patches:
#
# generate with do-rebase
# Include Fedora patches in Source7
%{expand:%(while read line; do echo $line; done < %{SOURCE7})}

# And these are:
# git checkout debuginfo
# git format-patch fedora-23..
Patch10001:	10001-Put-the-correct-.file-directives-in-our-.S-files.patch
Patch10002:	10002-Make-it-possible-to-enabled-build-id-sha1.patch
Patch10004:	10004-Add-grub_qdprintf-grub_dprintf-without-the-file-lin.patch

#
# Mga patches:
#
Patch20001:	grub2-2.00-mga-add_failsafe-10_linux.in.patch
Patch20002:	grub2-2.00-mga-dont_write_sparse_file_error_to_screen.patch
Patch20003:	grub2-2.00-mga-dont_write_diskfilter_error_to_screen.patch
Patch20004:	grub2-2.00-mga-dont_check_uuid_in_installer.patch
Patch20005:	grub2-2.00-mga-remove-unrestricted_when_password_set.patch
Patch20006:	grub2-2.02-mga-translate-theme-label.patch
Patch20007:	grub2-2.00-mga-Change_default_tsc_calibration_method_to_pmtimer_on_EFI.patch

#
# SuSE Patch:
#
# Fixes Mga#15846 - Grub2 doesn't install the bootloader on btrfs if we
# have a dualboot with windows starting at sector 63
Patch30001:	grub2-setup-try-fs-embed-if-mbr-gap-too-small.patch

#
# Unity Patches
#
# Fixes Mga#22918 - grub2-mkrescue still searches /boot/grub for config
Patch22001:	grub2-2.02-unity-mkrescue-use-grub2-dir.patch

BuildRequires:	autoconf
BuildRequires:	autogen
BuildRequires:	automake
BuildRequires:	binutils
BuildRequires:	bison
BuildRequires:	bzip2-devel
BuildRequires:	pkgconfig(devmapper)
BuildRequires:	flex
BuildRequires:	freetype2-devel
BuildRequires:	freetype-devel
BuildRequires:	freetype-devel
BuildRequires:	pkgconfig(fuse) 
BuildRequires:	gettext-devel
BuildRequires:	git
BuildRequires:	glibc-devel
BuildRequires:	help2man
BuildRequires:	liblzo-devel
BuildRequires:	libusb-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	python
BuildRequires:	rpm-devel
BuildRequires:	ruby
BuildRequires:	texinfo

Provides:	bootloader
Provides:	grub2bootloader = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%description
This is the second version of the GRUB (Grand Unified Boot-loader), a highly
configurable and customizable boot-loader with modular architecture.
It supports a wide range of kernel formats, file systems, computer
architectures and hardware devices.
Refer to the README.Mageia file that is part of this package's documentation
for more information.

%ifnarch %arm
%package efi
Summary:	Boot-loader with support for EFI
Group:		System/Boot and Init

Requires(post):	efibootmgr
Provides:	bootloader
Provides:	grub2bootloader = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%description efi
This is the second version of the GRUB (Grand Unified Boot-loader), a highly
configurable and customizable boot-loader with modular architecture.
It supports a wide range of kernel formats, file systems, computer
architectures and hardware devices.
Refer to the README.Mageia file that is part of this package's documentation
for more information.
%endif

%ifarch %arm
%package uboot
Summary:	Boot-loader with support for  UBOOT
Group:		System/Boot and Init

Provides:	bootloader
Provides:	grub2bootloader = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%description uboot
configurable and customizable boot-loader with modular architecture.
It supports a wide range of kernel formats, file systems, computer
architectures and hardware devices.
%endif

%package common
Summary:	Provides files common to both grub2 and grub2-efi
Group:		System/Boot and Init
Conflicts:	memtest86+ < 5.01-7
Conflicts:	%{name} < 2.02-0.git9752.19.mga5
Conflicts:	%{name}-efi < 2.02-0.git9752.19.mga5
Recommends:	os-prober >= 1.53
Recommends:	xorriso
Requires:	grub2bootloader = %{version}-%{release}
# Not available in Mga6
#Requires:	console-setup

%description common
Common files used by both grub2 and grub2-efi.

%package mageia-theme
Summary:	Provides a graphical theme with a custom Mageia background for grub2
Group:		System/Boot and Init

Requires:	grub2bootloader = %{version}
Requires(post):	sed
Requires(post):	coreutils
Conflicts:	grub2-mageia3-theme-dejavu
Conflicts:	grub2-mageia4-theme-dejavu
Conflicts:	grub2-mageia5-theme-dejavu
Conflicts:	grub2-mageia6-theme-dejavu
Conflicts:	grub2-mageia-theme-dejavu

BuildArch:	noarch

%description mageia-theme
This package provides a custom Mageia graphical theme.
It is provided as a separate package so it may be easily excluded from
minimal installations where a graphical theme is not required.

%prep
%setup -q -n grub-%{tarversion}

cp %{SOURCE6} .gitignore
git init
echo '![[:digit:]][[:digit:]]_*.in' > util/grub.d/.gitignore
echo '!*.[[:digit:]]' > util/.gitignore
git config user.email "%{name}-owner@fedoraproject.org"
git config user.name "Fedora Ninjas"
git config gc.auto 0
git add .
git commit -a -q -m "%{tarversion} baseline."
git apply %{patches} </dev/null
git config --unset user.email
git config --unset user.name

# README.Mageia
cp %{SOURCE3} .
 
%ifnarch %arm
# README.efi
cp %{SOURCE4} .

cd ..
rm -rf grub-efi-%{tarversion}
mv grub-%{tarversion} grub-efi-%{tarversion}
%endif

%setup -q -n grub-%{tarversion}

cp %{SOURCE6} .gitignore
git init
echo '![[:digit:]][[:digit:]]_*.in' > util/grub.d/.gitignore
echo '!*.[[:digit:]]' > util/.gitignore
git config user.email "%{name}-owner@fedoraproject.org"
git config user.name "Fedora Ninjas"
git config gc.auto 0
git add .
git commit -a -q -m "%{tarversion} baseline."
git apply %{patches} </dev/null
git config --unset user.email
git config --unset user.name
find . -name "*.0???" -delete

# README.Mageia
cp %{SOURCE3} .
# README.efi
cp %{SOURCE4} .

%build
cd ..
pushd grub-%{tarversion}
./autogen.sh
%configure2_5x TARGET_LDFLAGS=-static			\
%ifarch %arm
	  --with-platform=uboot				\
%else
	 --with-platform=pc				\
%endif
	  --disable-werror				\
	  --enable-grub-mkfont				\
	  --program-transform-name=s,grub,%{name},	\
	  --with-bootdir=/boot				\
	  --with-grubdir=/%{name}			\
	  CFLAGS="-g"
%make_build
popd

%ifnarch %arm
pushd grub-efi-%{tarversion}
./autogen.sh
%configure2_5x TARGET_LDFLAGS=-static			\
	  --with-platform=efi				\
%ifarch x86_64
	  --target=x86_64				\
%endif
	  --disable-werror				\
	  --enable-grub-mkfont				\
	  --program-transform-name=s,grub,%{name},	\
	  --with-bootdir=/boot				\
	  --with-grubdir=/%{name}			\
	  CFLAGS="-g"
%make_build
popd
%endif

%install
cd ..
%ifnarch %arm
pushd grub-efi-%{tarversion}
%make_install
popd
%endif

pushd grub-%{tarversion}
%make_install

# (bor) grub.info is harcoded in sources
mv %{buildroot}%{_infodir}/grub.info %{buildroot}%{_infodir}/%{name}.info

# Theme
install -d %{buildroot}/boot/%{name}/themes/maggy
install -D -m 644 %{SOURCE20} %{buildroot}/boot/%{name}/themes/maggy
install -D -m 644 %{SOURCE10} %{buildroot}/boot/%{name}/themes/maggy
install -D -m 644 %{SOURCE11} %{buildroot}/boot/%{name}/themes/maggy
install -D -m 644 %{SOURCE12} %{buildroot}/boot/%{name}/themes/maggy
install -D -m 644 %{SOURCE13} %{buildroot}/boot/%{name}/themes/maggy
# Install 4:3 default in case default.jpg is missing
install -D -m 644 %{SOURCE14} %{buildroot}/boot/%{name}/themes
ln -sf ../grub2-mageia-default.png %{buildroot}/boot/%{name}/themes/maggy/grub2-mageia-default.png

# Ghost config files
install -d %{buildroot}/boot/%{name}
install -d %{buildroot}/boot/%{name}/fonts

# Workaround for RHL Bug 817187
install -d %{buildroot}%{_datadir}/locale/en/LC_MESSAGES
cp -f %{buildroot}%{_datadir}/locale/en@quot/LC_MESSAGES/grub.mo \
      %{buildroot}%{_datadir}/locale/en/LC_MESSAGES/grub.mo
      
cat > %{buildroot}/boot/%{name}/custom.cfg <<EOF
# Set non-graphical text/background colours
set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue
# Add any extra custom menu entries in here:

EOF

# Provide 'update-grub' and update-grub2 symlink for *buntu exiles ;) 
cat > %{buildroot}%{_bindir}/update-grub <<EOF
#!/bin/sh
su --login root -c "/usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg"

EOF
chmod +x %{buildroot}%{_bindir}/update-grub
ln -s %{_bindir}/update-grub %{buildroot}%{_bindir}/update-grub2

# Defaults
install -m 644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/default/grub

# Remove "GNU/Linux" in menu selections
sed -i 's/ GNU\/Linux//' %{buildroot}%{_sysconfdir}/grub.d/10_linux

cp %{SOURCE9} %{buildroot}%{_datadir}/grub/

%find_lang grub

popd

# Don't run debuginfo on all the grub modules and whatnot; it just
# rejects them, complains, and slows down extraction.
%global finddebugroot "%{_builddir}/%{?buildsubdir}/debug"

%global dip RPM_BUILD_ROOT=%{finddebugroot} %{__debug_install_post}
%define __debug_install_post (						\
	mkdir -p %{finddebugroot}/usr					\
	mv ${RPM_BUILD_ROOT}/usr/bin %{finddebugroot}/usr/bin		\
	mv ${RPM_BUILD_ROOT}/usr/sbin %{finddebugroot}/usr/sbin		\
	%{dip}								\
	install -m 0755 -d %{buildroot}/usr/lib/ %{buildroot}/usr/src/	\
	cp -al %{finddebugroot}/usr/lib/debug/				\\\
		%{buildroot}/usr/lib/debug/				\
	cp -al %{finddebugroot}/usr/src/debug/				\\\
		%{buildroot}/usr/src/debug/ )				\
	mv %{finddebugroot}/usr/bin %{buildroot}/usr/bin		\
	mv %{finddebugroot}/usr/sbin %{buildroot}/usr/sbin		\
	%{nil}
 
%post
if [ $1 -eq 2 ]; then
      touch /boot/grub2/updtrans
fi

%ifnarch %arm
%post efi
if [ $1 -eq 2 ]; then
      touch /boot/grub2/updtrans
fi
%endif

%posttrans common
# On update re-install grub2 to where it was installed by drakboot if possible,
# otherwise next boot may fail due to mismatched boot code.
   if [ -f /boot/grub2/updtrans ] && [ -f /boot/grub2/install.sh -a -x /usr/sbin/detectloader ] && [ "$DURING_INSTALL" != "1" ] ; then
		LOADER=$(/usr/sbin/detectloader)
		[ "$LOADER" = "GRUB2" ] && /boot/grub2/install.sh ||:
		rm -f /boot/grub2/updtrans
   fi
   
# Don't let rpmdrake ask users to shoot themselves in feet! Mga#17263
		rm -f /etc/default/grub.rpm*

%post mageia-theme
# Don't install if updating
if [ $1 -eq 1 ] ; then
# Remove trailing blank lines from /etc/default/grub
sed -i -e :a -e '/^\n*$/{$d;N;};/\n$/ba' %{_sysconfdir}/default/grub
# Check that /etc/default/grub ends in a linefeed
[ "$(tail -n 1 %{_sysconfdir}/default/grub | wc --lines)" = "1" ] || echo >> %{_sysconfdir}/default/grub
# Add theme
echo "GRUB_THEME=/boot/grub2/themes/maggy/theme.txt" >> %{_sysconfdir}/default/grub

# If installing theme outside installer then update menu 
if [ "x${DURING_INSTALL}" != "x1" ]; then
%{name}-mkconfig -o /boot/%{name}/grub.cfg && rm -f /boot/%{name}/grub.cfg.rpmsave
fi
fi

# Copy system default background at correct aspect ratio to grub2 default theme
if [ -h %{_datadir}/mga/backgrounds/default.png ] && [ "$DURING_INSTALL" != "1" ]; then
cp -f %{_datadir}/mga/backgrounds/default.png /boot/%{name}/themes/%{name}-mageia-default.png
fi

%triggerpostun mageia-theme -- %{name}-mageia-theme <  2.02-0.git10463.5.mga6
# Run install.sh to replace /boot/grub2/fonts/unicode.pf2
   if [ -f /boot/grub2/install.sh -a -x /usr/sbin/detectloader ] && [ "$DURING_INSTALL" != "1" ]; then
		LOADER=$(/usr/sbin/detectloader)
		[ "$LOADER" = "GRUB2" ] && /boot/grub2/install.sh ||:
   fi

# If updating from below 2.02-0.git10101.4 then re-make grub.cfg once.
# grub2 dropped ownership of grub.cfg to avoid rpmnew being created.
# Remove rpmnew and after new grub.cfg is created remove rpmsave. Mga#17263
%triggerpostun common -- %{name} < 2.02-0.git10101.4, %{name}-efi < 2.02-0.git10101.4
rm -f /boot/%{name}/grub.cfg.rpmnew
%{name}-mkconfig -o /boot/%{name}/grub.cfg && rm -f /boot/%{name}/grub.cfg.rpmsave
# Take this opportunity to remove some unwanted logs
rm -f /var/log/%{name}_preun.log
rm -f /var/log/%{name}_post.log
rm -f /var/log/%{name}_theme_postun.log

%preun
# Only if uninstalling
if [ $1 -eq 0 ]; then
rm -rf /boot/%{name}/%{pc_arch}
rm -rf /boot/%{name}/locale
fi

%ifnarch %arm
%preun efi
# Only if uninstalling
if [ $1 -eq 0 ]; then
rm -rf /boot/%{name}/%{efi_arch}
rm -rf /boot/%{name}/locale
fi
%endif

%postun mageia-theme
# Only if uninstalling theme
if [ $1 -eq 0 ]; then
# Remove theme from config
sed -i '/GRUB_THEME=\/boot\/grub2\/themes\/maggy\/theme.txt/d' %{_sysconfdir}/default/grub
fi

%ifnarch %arm
%files
%dir %{_libdir}/grub/i386-pc
%{_libdir}/grub/i386-pc/*
%endif

%ifnarch %arm
%files efi 
%doc README.efi
%dir %{_libdir}/grub/%{efi_arch}
%{_libdir}/grub/%{efi_arch}/*
%endif

%ifarch %arm
%files uboot
%dir %{_libdir}/grub/%{efi_arch}
%{_libdir}/grub/%{efi_arch}/*
%endif

%files common -f grub.lang
%doc COPYING NEWS README THANKS TODO README.Mageia
%dir /boot/%{name}
%dir /boot/%{name}/fonts
%dir /boot/%{name}/themes
%{_infodir}/*
%{_bindir}/%{name}-*
%{_bindir}/update-grub
%{_bindir}/update-grub2
%{_sbindir}/%{name}-*
%dir %{_libdir}/grub
%{_datarootdir}/bash-completion/completions/grub
%{_sysconfdir}/grub.d/README
%{_sysconfdir}/grub.d/00_header
%{_sysconfdir}/grub.d/01_users
%{_sysconfdir}/grub.d/10_linux
%{_sysconfdir}/grub.d/20_linux_xen
%{_sysconfdir}/grub.d/20_ppc_terminfo
%{_sysconfdir}/grub.d/30_os-prober
%config(noreplace) %{_sysconfdir}/grub.d/40_custom
%config(noreplace) %{_sysconfdir}/grub.d/41_custom
%config(noreplace) %{_sysconfdir}/default/grub
%{_datadir}/grub/*
%config(noreplace) /boot/%{name}/custom.cfg
%{_mandir}/man1/%{name}-*.1*
%{_mandir}/man8/%{name}-*.8*

%files mageia-theme
/boot/%{name}/themes/*


%changelog
* Fri Jul 13 2018 barjac <barjac> 2.02.0-1.1.mga6
  (not released yet)
+ Revision: 1243329
- Updates to current Cauldron patch status before 6.1 release:
- patch to fix Mga#23268
- (mageia 6: cant boot installation medium (neither usb nor dvd) on direkt-tek DTLAPY116-2)
- Patched to fix Mga#22918
- (grub2-mkrescue still searches /boot/grub for config)
- Enable translation of labels in the theme configuration file.
- Copy grub.mo rather than link
- Fixes Mga#22182 (grub.mo dangling link)
- Remove conflicts between grub2 and grub2-efi
- update to 2.02 full release (rather than snapshot)
- Mga#21811 (Fix conflicts in grub2 package between grub2 and grub2-efi)

* Fri Jun 16 2017 barjac <barjac> 2.02-0.git10463.8.mga6
+ Revision: 1107808
- Change menu title to Mageia Boot Menu

* Mon May 15 2017 barjac <barjac> 2.02-0.git10463.7.mga6
+ Revision: 1101819
- fix Mga#19944 - (grub2 password set in drakboot does not protect booting of linux operating systems)
- Patch to remove --unrestricted when password set

* Tue Mar 21 2017 barjac <barjac> 2.02-0.git10463.6.mga6
+ Revision: 1093925
- set foreground/background colours for non-graphical text mode

* Wed Jan 18 2017 barjac <barjac> 2.02-0.git10463.5.mga6
+ Revision: 1082254
- fix urpmi upgrade from Mga5 to Mga6 Mga#20133
- (urpmi upgrade 5 > 6 loses grub2 background)

* Tue Oct 18 2016 barjac <barjac> 2.02-0.git10463.4.mga6
+ Revision: 1062049
- Add extra glyphs to mageia font Mga#19592
- dont limit range when converting to .pf2 in mkfonts script

* Tue Sep 20 2016 ghibo <ghibo> 2.02-0.git10463.3.mga6
+ Revision: 1054709
- fix permssion of themes png and pf2 files

* Tue Sep 20 2016 barjac <barjac> 2.02-0.git10463.2.mga6
+ Revision: 1054638
- check for default.png not default.jpg

* Tue Sep 20 2016 barjac <barjac> 2.02-0.git10463.1.mga6
+ Revision: 1054558
- really add patch into grub.patches
- s/10462/10463/ typo
- remove obsolete --enable-grub-emu-usb parameter
- fix duplicate file
- use %%make_build and %%make_install macros
- new git snapshot patch
- copy theme b/g directly from default.png now we have it
- tidy spec - remove commented patches

* Wed Sep 07 2016 barjac <barjac> 2.02-0.git10457.17.mga6
+ Revision: 1050417
- fix b/g symlink for systems with separate /boot

* Sun Sep 04 2016 barjac <barjac> 2.02-0.git10457.16.mga6
+ Revision: 1049988
- dont try to copy theme b/g in installer

* Sun Sep 04 2016 barjac <barjac> 2.02-0.git10457.15.mga6
+ Revision: 1049967
- move background image to /themes and symlink from maggy
- to fix path to image file irrespective of whether default or dejavu theme is used
- add conflict for re-named dejavu theme package which will no longer be versioned in the name

* Fri Sep 02 2016 barjac <barjac> 2.02-0.git10457.14.mga6
+ Revision: 1049734
- use correct aspect ratio background if available
- add conflicts for old and new  dejavu themes
- if theme is installed outside installer update menu

* Fri Aug 12 2016 barjac <barjac> 2.02-0.git10457.13.mga6
+ Revision: 1046028
- switch to background with logo at higher resolution

* Mon Aug 08 2016 barjac <barjac> 2.02-0.git10457.12.mga6
+ Revision: 1045031
- first test of mga6 theme
- drop -%%{release} from require of main pkgs in theme to allow easy testing of new themes

* Tue Jul 19 2016 barjac <barjac> 2.02-0.git10457.11.mga6
+ Revision: 1042593
- Patch to ignore test of disk/by-uuid when in installer
- workaround for Mga#18780 ( grub.cfg entries use root=/dev/sdXY instead of root=UUID...)

* Mon Jul 11 2016 barjac <barjac> 2.02-0.git10457.10.mga6
+ Revision: 1041058
- dont write grub2 diskfilter writes not supported error to screen
- mentioned in Mga#18781#1 (dont write sparse file error to screen)

* Sun Jul 10 2016 barjac <barjac> 2.02-0.git10457.9.mga6
+ Revision: 1040611
- fix for Mga#18781
- grub2 flashes error: sparse file not allowed message when booting from btrfs
- patched to ignore the error

* Mon Jun 27 2016 barjac <barjac> 2.02-0.git10457.8.mga6
+ Revision: 1037745
- Dont run old install-sh when upgrading under drakx Mga#15583
- Move rpmnew/save removal outside conditional so it always happens

* Tue Jun 07 2016 barjac <barjac> 2.02-0.git10457.7.mga6
+ Revision: 1020551
- Add SuSE patch to fix Mga#15846
-  (Grub2 doesnt install the bootloader on btrfs if we have a dualboot with windows starting at sector 63)

* Mon Jun 06 2016 barjac <barjac> 2.02-0.git10457.6.mga6
+ Revision: 1020311
- On update be sure all grub2 pkgs are installed before running install.sh
+ tv <tv>
- drop 90_persistent script like FC did as:
  o it is undocumented.
  o it haven't been upstreamed.
  o upstream has 40_custom and 41_custom for the same purpose.
  o it violates layering and code structure by guessing which (optional!) output
    file has been specified for grub2-mkconfig ... and makes the wrong guess for
    grub2-efi.
- there's no reason to recommends memtest86+ (bloating)

* Sat May 28 2016 barjac <barjac> 2.02-0.git10457.5.mga6
+ Revision: 1019042
- remove disk cache patch pushed to release in error

* Fri May 27 2016 barjac <barjac> 2.02-0.git10457.4.mga6
+ Revision: 1018949
- move unicode.pf2 to /usr/share/grub Mga#18552

* Thu May 26 2016 barjac <barjac> 2.02-0.git10457.3.mga6
+ Revision: 1018836
- remove non-graphical menu colours from custom.cfg
+ tv <tv>
- add details

* Thu May 26 2016 tv <tv> 2.02-0.git10457.2.mga6
+ Revision: 1018772
- increase disk cache (mga#16010, mga#18538)

* Mon May 09 2016 barjac <barjac> 2.02-0.git10457.1.mga6
+ Revision: 1011161
- create snapshot patch with revision #
- use git apply rather than git am or patches fail to apply
- use correct git revision in package name

* Sat May 07 2016 tmb <tmb> 2.02-0.git10270.8.mga6
+ Revision: 1010339
- submit to /release

* Fri May 06 2016 barjac <barjac> 2.02-0.git10270.7.mga6
+ Revision: 1009668
- remove TPM/secure boot patches from fd

* Thu Apr 28 2016 barjac <barjac> 2.02-0.git10270.6.mga6
+ Revision: 1007014
- use grub.patches to unclutter spec
- use one line per buildrequire as Mageia policy
- fix spaces/tabs

* Tue Apr 26 2016 tv <tv> 2.02-0.git10270.5.mga6
+ Revision: 1006392
- one more fix from FC

* Tue Apr 26 2016 tv <tv> 2.02-0.git10270.4.mga6
+ Revision: 1006391
- BS do not seem to like %%include
- 2.02 beta3
- sync patches with FC

* Tue Mar 15 2016 tv <tv> 2.02-0.git10270.3.mga6
+ Revision: 990802
- kill doble BR
- reorder BRs like FC (easier syncing)
- add git BR
- adjust file list
- sync patches with FC
- apply them with git like FC does
  (thus helping syncing them...)
- drop one mga patch as it's already in FC stack

* Wed Feb 10 2016 tv <tv> 2.02-0.git10270.2.mga6
+ Revision: 953531
- drop recommends on theme (now handled by drakboot) (mga#9431)

* Mon Jan 25 2016 barjac <barjac> 2.02-0.git10270.1.mga6
+ Revision: 927090
- new snapshot 10270
- dont build empty grub2 package in arm
- remove obsolete patches
- re-diff one patch
- fix tabs/spaces

* Fri Jan 22 2016 neoclust <neoclust> 2.02-0.git10101.8.mga6
+ Revision: 926545
- Add Arm support

* Tue Jan 05 2016 barjac <barjac> 2.02-0.git10101.7.mga6
+ Revision: 919799
- upstream patch to fix halt on some hardware Mga#17437

* Tue Dec 15 2015 barjac <barjac> 2.02-0.git10101.6.mga6
+ Revision: 910713
- fix for CVE-2015-8370 Mga#17334 buffer overflow when checking password
- also added Fedora patch to use only GRUB2_PASSWORD

* Sat Dec 05 2015 barjac <barjac> 2.02-0.git10101.5.mga6
+ Revision: 908418
- push to core and bump release to give testers of Mga#17263 another update
- (grub2 updates create several .rpmnew which removes boot menu)

* Tue Dec 01 2015 barjac <barjac> 2.02-0.git10101.4.mga6
+ Revision: 907432
- Stop rpmnew files being offered on update Mga#17263
- by dis-owning grub.cfg which is always now written by other packages
- delete /etc/default/grub.rpmnew on updates to stop it being offered
- remove grub2-efi %%triggerpostun as it is covered by a new one used to recreate grub.cfg once only
- remove some old log files with the same trigger and stop creating them

* Mon Nov 23 2015 barjac <barjac> 2.02-0.git10101.3.mga6
+ Revision: 905032
- add warning to grub2-efi description and
- remove old misleading info from description

* Mon Nov 16 2015 barjac <barjac> 2.02-0.git10101.2.mga6
+ Revision: 903489
- move 93_memtest to memtest package #Mga15914
- recommend memtest
- move recommends os-prober and theme to common
- conflict older memtest86+ packages

* Tue Sep 08 2015 barjac <barjac> 2.02-0.git10101.1.mga6
+ Revision: 873987
- new snapshot
- synced patches from Fedora
- re-diffed failsafe  patch
- new BR pkgconfig(rpm)
- fix files list

* Fri Sep 04 2015 barjac <barjac> 2.02-0.git9752.22.mga6
+ Revision: 872680
+ rebuild (emptylog)

* Thu Sep 03 2015 barjac <barjac> 2.02-0.git9752.21.mga6
+ Revision: 872503
- Patch to fix Mga#16672
- Dont munge raw spaces when passing kernel parameters

* Fri Aug 21 2015 tmb <tmb> 2.02-0.git9752.20.mga6
+ Revision: 867458
- rebuild for new gcc

* Sat Jul 11 2015 barjac <barjac> 2.02-0.git9752.19.mga6
+ Revision: 853282
- split out common files into grub2-common Mga#15913
- initially set GRUB_DISABLE_RECOVERY=false

* Tue Apr 14 2015 barjac <barjac> 2.02-0.git9752.18.mga5
+ Revision: 820184
- update README.mageia for no filetriggers
- remove all filetriggers
- stop %%posts failing when grub2 is not bootloader
- update README files

* Mon Apr 13 2015 barjac <barjac> 2.02-0.git9752.17.mga5
+ Revision: 820103
- Add failsafe rather than single in rescue mode Mga#15675
- remove modules part of filetrigger filter (kernel updates) now handled by drakx

* Fri Apr 10 2015 tmb <tmb> 2.02-0.git9752.15.mga5
+ Revision: 820032
- only Recommend xorriso to avoid bloated installs

* Thu Apr 09 2015 tv <tv> 2.02-0.git9752.14.mga5
+ Revision: 819995
- simplify %%post, just rely on /boot/grub2/install.sh (mga#11827)

* Tue Mar 24 2015 tv <tv> 2.02-0.git9752.13.mga5
+ Revision: 819208
- grub2-mkimage needs XZ support
+ barjac <barjac>
- Add Requires: xorriso for grub2-mkrescue -  mga#15514

* Mon Jan 05 2015 tmb <tmb> 2.02-0.git9752.12.mga5
+ Revision: 808518
- grub2-efi
  * only run post during install, not on upgrade
  * fix installing from live mode

* Mon Jan 05 2015 barjac <barjac> 2.02-0.git9752.11.mga5
+ Revision: 808473
- BOOT_PARTITION was used before being defined in %%post

* Tue Dec 16 2014 barjac <barjac> 2.02-0.git9752.10.mga5
+ Revision: 803582
- update theme for Mageia 5

* Wed Dec 10 2014 barjac <barjac> 2.02-0.git9752.9.mga5
+ Revision: 802633
- added GRUB_CRYPTODISK_ENABLE=y to default config mga#14741
- patch to fix regression when GRUB_CRYPTODISK_ENABLE=y with no encrypted partitions

* Wed Oct 15 2014 umeabot <umeabot> 2.02-0.git9752.8.mga5
+ Revision: 739167
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.02-0.git9752.7.mga5
+ Revision: 679954
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Aug 20 2014 luigiwalser <luigiwalser> 2.02-0.git9752.6.mga5
+ Revision: 666017
- rediff patch from harbour to fix CVE-2014-4607 in bundled minilzo

* Sat Jul 05 2014 pterjan <pterjan> 2.02-0.git9752.5.mga5
+ Revision: 643675
- Replace libusb*-devel BuildRequires by better ones

* Wed Jun 11 2014 barjac <barjac> 2.02-0.git9752.4.mga5
+ Revision: 635563
- drop linuxefi Fedora patches
- drop reverted patch pair
- drop Don-t-write-messages-to-the-screen.patch temporarily
- add versioned rpm trigger to grub2-efi to update grub.cfg when updating from below this version

* Tue Jun 03 2014 tmb <tmb> 2.02-0.git9752.2.mga5
+ Revision: 632621
- re-add support for linuxefi target

* Sun Jun 01 2014 barjac <barjac> 2.02-0.git9752.1.mga5
+ Revision: 629976
- new git snapshot
- fix mga 12423 for most cases
- fix typos in readme
- remove upstreamed patches

* Tue Mar 18 2014 pterjan <pterjan> 2.00-59.mga5
+ Revision: 605125
- Fix build

* Sun Jan 05 2014 ennael <ennael> 2.00-58.mga4
+ Revision: 564767
- rename background file
- rename Mageia background image
- Mageia 4 design

* Wed Nov 13 2013 barjac <barjac> 2.00-57.mga4
+ Revision: 550910
- remove Fedora patches that affect text only menu layout

* Tue Nov 12 2013 barjac <barjac> 2.00-56.mga4
+ Revision: 550657
- add Fedora patches not applied upstream
- drop virtual provide on theme

* Sun Nov 10 2013 tmb <tmb> 2.00-55.mga4
+ Revision: 550414
- grub2-mageia-theme: dont conflict own virtual provide

* Sat Nov 09 2013 barjac <barjac> 2.00-54.mga4
+ Revision: 550058
- git snapshot
- add GRUB_DISABLE_SUBMENU to etc/default/grub as example (no change to default)

* Tue Nov 05 2013 tmb <tmb> 2.00-53.mga4
+ Revision: 549704
- fix install from live mode

* Tue Nov 05 2013 barjac <barjac> 2.00-52.mga4
+ Revision: 549519
- re-install grub2 on updates if drakboot.conf exists

* Sat Oct 26 2013 tmb <tmb> 2.00-51.mga4
+ Revision: 547151
- have grub2-efi require efibootmgr for more automated install

* Mon Oct 21 2013 umeabot <umeabot> 2.00-50.mga4
+ Revision: 539292
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 barjac <barjac> 2.00-49.mga4
+ Revision: 491788
- fix mga#11168 (remove linux)

* Thu Jul 04 2013 barjac <barjac> 2.00-48.mga4
+ Revision: 450000
- remove virtual provides versioning
- make theme package noarch
- add provides/conflicts grub2theme to allow other themes
- just remove old theme from config
- own theme sub dir and remove it from postun

* Mon Jul 01 2013 barjac <barjac> 2.00-47.mga4
+ Revision: 449511
- improve appearance of non-themed text menu with Mageia-ish colours

* Thu May 23 2013 barjac <barjac> 2.00-46.mga4
+ Revision: 425400
- revert previous commit

* Wed May 08 2013 barjac <barjac> 2.00-45.mga3
+ Revision: 412632
- remove filetrigger for kernel updates as this should now be handled by bootloader
- remove memtest support until after mga3 release

* Mon May 06 2013 barjac <barjac> 2.00-44.mga3
+ Revision: 412411
- put memtest always at bottom of menu

* Mon May 06 2013 barjac <barjac> 2.00-43.mga3
+ Revision: 412404
- add support for memtest86+ mga#9991
- revert %%post removal in prev commit

* Sat May 04 2013 barjac <barjac> 2.00-42.mga3
+ Revision: 412225
- remove %%post
- remove require on mageia-theme

* Sun Mar 24 2013 barjac <barjac> 2.00-41.mga3
+ Revision: 404821
- include tarball of master bdf fonts
- update mkfonts script to make needed pf2 fonts from bdf tarball
- updated theme fonts to fix some glyphs
- thanks to diogenese for work on unofficial MageiaLogo font
- update fonts

* Fri Mar 22 2013 barjac <barjac> 2.00-40.mga3
+ Revision: 404429
- fix update-grub env so os-prober can find blkid

* Mon Mar 18 2013 barjac <barjac> 2.00-39.mga3
+ Revision: 403927
- switch to mageia 3 theme background

* Mon Mar 11 2013 barjac <barjac> 2.00-38.mga3
+ Revision: 402075
- change theme font to MageiaLogo
- corrections and improvements to README.Mageia

* Thu Mar 07 2013 barjac <barjac> 2.00-37.mga3
+ Revision: 401594
- move theme background image into package as it will be for mga3 release

* Tue Mar 05 2013 tv <tv> 2.00-36.mga3
+ Revision: 401431
- only update grub2.cfg if already existing
- no need for bash

* Mon Mar 04 2013 barjac <barjac> 2.00-35.mga3
+ Revision: 401408
- correct path

* Wed Feb 27 2013 barjac <barjac> 2.00-34.mga3
+ Revision: 400520
- set default timeout to 10 seconds

* Mon Feb 25 2013 barjac <barjac> 2.00-33.mga3
+ Revision: 400332
- add update-grub & update-grub2 (symlink)
- update README.Mageia for above
- add note in /etc/default/grub
- no need to patch aclocal.m4
- patch13 to fix autoreconf AM_PROG_MKDIR_P warnings

* Sat Feb 23 2013 barjac <barjac> 2.00-32.mga3
+ Revision: 400190
- revert to using unicode font for terminal
- remove make tarball script
- remove 7x13.pf2 font file
- modify mkfonts script to not make 7x13.pf2
- re-enumerate sources

* Sat Feb 23 2013 barjac <barjac> 2.00-31.mga3
+ Revision: 400102
- improved workaround for RHL Bug 817187, removing it from %%post

* Fri Feb 22 2013 barjac <barjac> 2.00-30.mga3
+ Revision: 400001
- suppress error message on minimal install with --no-suggests #9148

* Wed Feb 20 2013 tv <tv> 2.00-29.mga3
+ Revision: 399495
- do not package huge ChangeLog

* Mon Feb 18 2013 barjac <barjac> 2.00-28.mga3
+ Revision: 399253
- clean up files
- add -n (no-clobber) to prevoius cp workaround for when this is fixed upstream

* Sat Feb 16 2013 barjac <barjac> 2.00-27.mga3
+ Revision: 398620
- Workaround for RHL Bug 817187

* Sun Feb 10 2013 barjac <barjac> 2.00-26.mga3
+ Revision: 397694
- run autogen.sh in both build trees

* Sun Feb 10 2013 pterjan <pterjan> 2.00-25.mga3
+ Revision: 397685
- Fix parallel build

* Sun Feb 10 2013 barjac <barjac> 2.00-24.mga3
+ Revision: 397678
- try non-parallel build
- forgot to apply all patches to both builds

* Sat Feb 09 2013 barjac <barjac> 2.00-23.mga3
+ Revision: 397663
- cherry picked patches from Fedora

* Sat Feb 09 2013 barjac <barjac> 2.00-22.mga3
+ Revision: 397534
- improved handling of theme addition/removal from /etc/default/grub
- fixes bug where someone has removed linefeed from file end or has commented the THEME= line

* Fri Feb 08 2013 barjac <barjac> 2.00-21.mga3
+ Revision: 397190
- update theme with new font
- add custom.cfg
- new mkfonts script
- re-enumerated sources
- cleaned GNU/Linux from cluttering menus
- matched font colours to Mageia logo
- make grub2-efi also own /boot/grub2 ;)

* Fri Feb 08 2013 tmb <tmb> 2.00-20.mga3
+ Revision: 397106
- own /boot/grub2 dir too

* Thu Feb 07 2013 barjac <barjac> 2.00-19.mga3
+ Revision: 395043
- added warning note inside /etc/default/grub

* Wed Feb 06 2013 barjac <barjac> 2.00-18.mga3
+ Revision: 394991
- split out theme into separate package
- theme now Suggested
- os-prober and theme addition/removal handled by filetriggers
- updated README.Mageia to reflect above changes
- added option for disabling os-prober to /etc/default/grub

* Mon Feb 04 2013 barjac <barjac> 2.00-17.mga3
+ Revision: 394533
- os-prober should be Suggests

* Mon Jan 28 2013 barjac <barjac> 2.00-16.mga3
+ Revision: 392864
- edited help text in boot screen

* Fri Jan 25 2013 barjac <barjac> 2.00-15.mga3
+ Revision: 392262
- force copy of theme b/g for updates

* Thu Jan 24 2013 barjac <barjac> 2.00-14.mga3
+ Revision: 391754
- copy theme b/g to /boot when /boot is on separate partition in case / is encrypted

* Sun Jan 20 2013 barjac <barjac> 2.00-13.mga3
+ Revision: 390289
- update group

* Wed Jan 16 2013 barjac <barjac> 2.00-12.mga3
+ Revision: 388457
- add provides bootloader to both packages
- add suggests mageia-theme to -efi package

* Sat Jan 12 2013 umeabot <umeabot> 2.00-11.mga3
+ Revision: 352682
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 barjac <barjac> 2.00-10.mga3
+ Revision: 334731
- updated description and README.Mageia

* Mon Dec 17 2012 tv <tv> 2.00-9.mga3
+ Revision: 331864
- fix build with official version
- use official tarball (which includes translations)

* Sat Dec 15 2012 tv <tv> 2.0-8.mga3
+ Revision: 331059
- suggests instead of requiring mageia-theme

* Sat Dec 15 2012 tv <tv> 2.0-7.mga3
+ Revision: 331055
- requires mageia-theme (else image symlink is broken for graphical grub)

* Thu Nov 15 2012 barjac <barjac> 2.0-6.mga3
+ Revision: 318311
- corrected url
- minor edits in desription and README.Mageia

* Wed Oct 10 2012 barjac <barjac> 2.0-5.mga3
+ Revision: 304517
- Fix i586 build with configure2_5x

* Sun Sep 30 2012 barjac <barjac> 2.0-4.mga3
+ Revision: 300624
- Changed group in line with new policy

* Mon Sep 17 2012 barjac <barjac> 2.0-3.mga3
+ Revision: 295597
- patch to fix build against glibc-2.16
- improved description

* Fri Jun 29 2012 barjac <barjac> 2.0-2.mga3
+ Revision: 265181
- New version final release of v2.0
- Removed revision from filename as this is a release
- Added Suggests on efibootmgr
- Moved files efi to end of spec
- Removed README.efi from grub2 rpm
- Added explanation about -efi rpm to README.Mageia
- Changed var name in grub.default as changed upstream

* Sun Jun 03 2012 barjac <barjac> 2.0-1.4412.mga3
+ Revision: 253509
- Updated README.efi
- Updated revision
- Fixed updates deleting files in preun
- Removed redundant code in install section
- Corrected minor scripting error in mk_tar_from_grub_trunk

* Tue May 29 2012 barjac <barjac> 2.0-1.4379.mga3
+ Revision: 248863
- Removed dot from one summary
- imported package grub2

